Generations

List recent generations

GET
/generations

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

siteId?string
Formatuuid
status?string
Value in"pending" | "running" | "succeeded" | "failed" | "cancelled"
limit?integer

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/generations"
{
  "generations": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "siteId": "60189e9c-7d12-438c-b9ca-6998d9c364b1",
      "status": "pending",
      "trigger": "manual",
      "pagesStatus": "pending",
      "pagesCount": -9007199254740991,
      "createdAt": "2019-08-24T14:15:22Z",
      "startedAt": "2019-08-24T14:15:22Z",
      "completedAt": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}

On this page